Bug 847784 - Document overriding RHEV-H swap partition size.
Document overriding RHEV-H swap partition size.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gordon
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-13 10:32 EDT by Stephen Gordon
Modified: 2014-03-25 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version: Red_Hat_Enterprise_Virtualization-Installation_Guide-3.1-web-en-US-3.1.0-5.el6eng
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 12:23:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Stephen Gordon 2012-08-13 10:34:09 EDT
To be clear, we document the formula for determining swap and the storage_vol parameter - but they appear in very different areas of the documentation. We need an explicit note around what to do if the swap space is not available either under the discussion about swap or at the stage in the installation process where the error is encountered.
Comment 2 Stephen Gordon 2012-08-29 16:43:19 EDT
Topic 7845, 228280.

Added an admonition covering this issue:

By default the Red Hat Enterprise Virtualization Hypervisor defines a swap partition sized using the recommended forumla. An overcommit ratio of <literal>0.5</literal> is used for this calculation. For some systems the result of this calculation may be a swap partition that requires more free disk space than is available at installation. Where this is the case Hypervisor installation will fail.

If you encounter this issue, manually set the sizes for the Hypervisor disk partitions using the <parameter>storage_vol</parameter> boot parameter. More information on the use of this parameter is available in the Red Hat Enterprise Linux&nbsp;6 <citetitle>Hypervisor Deployment Guide</citetitle>.

Manually Setting Swap Partition Size

In this example the <parameter>storage_vol</parameter> boot parameter is used to set a swap partition size of 4096&nbsp;MB. Note that no sizes are specified for the other partitions, allowing the Hypervisor to use the default sizes.

storage_vol=:4096::::

Note You need to log in before you can comment on or make changes to this bug.